Page MenuHomeFreeBSD

graphics/darktable: Update to 2.0.5
ClosedPublic

Authored by dumbbell on Jul 7 2016, 8:30 AM.

Details

Summary

New upstream release.

The RAWSPEED and SQUISH options were removed: they are not options
anymore in the project.

All warnings reported by check-qa are also fixed.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dumbbell updated this revision to Diff 18201.Jul 7 2016, 8:30 AM
dumbbell retitled this revision from to graphics/darktable: Update to 2.0.5.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: bapt, kwm.
mat added inline comments.Aug 4 2016, 10:22 PM
graphics/darktable/Makefile
84 ↗(On Diff #18201)

Maybe you could use NLS_USES_OFF= gettext-runtime instead, if it doesn't need all the gettext tools.

dumbbell updated this revision to Diff 19075.Aug 5 2016, 6:24 PM

Improve handling of the NLS option

mat accepted this revision.Aug 5 2016, 6:28 PM
mat added a reviewer: mat.

Macro lgtm:

This revision is now accepted and ready to land.Aug 5 2016, 6:28 PM
This revision was automatically updated to reflect the committed changes.